# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::MkdirJob Class Reference

A KIO job that creates a directory. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::MkdirJob:

[legend]
Collaboration diagram for KIO::MkdirJob:

[legend]
List of all members.

## Signals

void | redirection (KIO::Job *job, const KURL &url)
void | permanentRedirection (KIO::Job *job, const KURL &fromUrl, const KURL &toUrl)

## Public Member Functions

| MkdirJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
virtual void | start (Slave *slave)

## Protected Slots

void | slotRedirection (const KURL &url)
virtual void | slotFinished ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

KURL | m_redirectionURL

## Detailed Description

A KIO job that creates a directory.

See also:
  KIO::mkdir()

Since:
  3.3

Definition at line 739 of file jobclasses.h.

## Constructor & Destructor Documentation

MkdirJob::MkdirJob | ( | const KURL & | url,
|  | int | command,
|  | const QByteArray & | packedArgs,
|  | bool | showProgressInfo
| ) |

Do not use this constructor to create a MkdirJob, use KIO::mkdir() instead.

Parameters:

  | url | the url of the file or directory to check
  | command | the command to issue
  | packedArgs | the arguments
  | showProgressInfo | true to show progress information to the user

Definition at line 633 of file job.cpp.

## Member Function Documentation

void KIO::MkdirJob::redirection | ( | KIO::Job * | job,
|  | const KURL & | url
| ) | `[signal]`

Signals a redirection.

Use to update the URL shown to the user. The redirection itself is handled internally.

Parameters:

  | job | the job that is redirected
  | url | the new url

void KIO::MkdirJob::permanentRedirection | ( | KIO::Job * | job,
|  | const KURL & | fromUrl,
|  | const KURL & | toUrl
| ) | `[signal]`

Signals a permanent redirection.

The redirection itself is handled internally.

Parameters:

  | job | the job that is redirected
  | fromUrl | the original URL
  | toUrl | the new URL

Referenced by slotFinished().

void MkdirJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::SimpleJob. Definition at line 665 of file job.cpp. References KIO::Scheduler::doJob(), KURL::isEmpty(), KURL::isValid(), permanentRedirection(), KIO::Job::queryMetaData(), and KIO::SimpleJob::slotFinished().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:05 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003